Bug 529423 - (mingw32-OSG) Review Request: mingw32-OpenSceneGraph - Fedora mingw high performance real-time graphics toolkit
Review Request: mingw32-OpenSceneGraph - Fedora mingw high performance real-t...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 14:15 EDT by Stefan Riemens
Modified: 2010-01-22 17:37 EST (History)
4 users (show)

See Also:
Fixed In Version: 2.8.2-2.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-01-22 17:37:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lemenkov: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Stefan Riemens 2009-10-16 14:15:12 EDT
Spec URL: http://www.riemens.org/fs/temp/mingw32-OpenSceneGraph.spec
SRPM URL: http://www.riemens.org/fs/temp/mingw32-OpenSceneGraph.src.rpm
Description: <description here>

This is the x-compiled version:
The OpenSceneGraph is an OpenSource, cross platform graphics toolkit for the 
development of high performance graphics applications such as flight 
simulators, games, virtual reality and scientific visualization. 
Based around the concept of a SceneGraph, it provides an object oriented 
framework on top of OpenGL freeing the developer from implementing and 
optimizing low level graphics calls, and provides many additional utilities 
for rapid development of graphics applications.

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1750586
Rpmlint is silent on this package

BTW, this is my first package, so I need a sponsor
Comment 1 Stefan Riemens 2009-10-20 09:22:13 EDT
I've updated this package after re-reading package guidelines:
Spec URL: http://www.riemens.org/fs/temp/mingw32-OpenSceneGraph.spec
SRPM URL: http://www.riemens.org/fs/temp/mingw32-OpenSceneGraph-2.8.2-1.fc12.src.rpm

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=1756555

%changelog
* Tue Oct 20 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 2.8.2-1
- Explicitly list every file created in %%files section
- According to the mingw packagin guidelines
- Don't build osg wrapper as they're not necessary
- update BR
Comment 2 Stefan Riemens 2009-11-17 12:18:00 EST
My other review request (posted since I need a sponsor):

https://bugzilla.redhat.com/show_bug.cgi?id=537563
Comment 3 Peter Lemenkov 2009-11-25 05:10:22 EST
Unblocking FE-NEEDSPONSOR - I just sponsored Stefan.
Comment 4 Stefan Riemens 2009-11-25 06:33:34 EST
Thanks for sponsoring!
Comment 5 Peter Lemenkov 2009-11-25 06:50:22 EST
I'll review it.
Comment 6 Peter Lemenkov 2009-12-17 08:14:34 EST
Review:

+ builds fine in Koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1877023

+ rpmlint is NOT silent

[petro@Workplace ~]$ rpmlint Desktop/mingw32-Open*
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosg.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgGA.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgTerrain.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgParticle.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgDB.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgShadow.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgFX.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgText.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgAnimation.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgManipulator.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgSim.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgUtil.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgVolume.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgViewer.dll.a
mingw32-OpenSceneGraph.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgWidget.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosg.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgGA.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgTerrain.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgParticle.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgDB.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgShadow.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgFX.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgText.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgAnimation.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgManipulator.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgSim.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgUtil.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/openscenegraph.pc
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgVolume.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgViewer.dll.a
mingw32-OpenSceneGraph.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libosgWidget.dll.a
mingw32-OpenSceneGraph.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
mingw32-OpenThreads.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libOpenThreads.dll.a
mingw32-OpenThreads.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/pkgconfig/openthreads.pc
mingw32-OpenThreads.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libOpenThreads.dll.a
mingw32-OpenThreads.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
2 packages and 0 specfiles checked; 16 errors, 20 warnings.
[petro@Workplace ~]$

However all these messages may be omitted in case of mingw32-package.

+ The package is named according to the Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license.
+ The file, containing the text of the license(s) for the package, is included in %doc.
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

[petro@Sulaco SOURCES]$ sha256sum OpenSceneGraph-2.8.2.zip*
0903e3a29eba07856c563d1b313f6b803bee702e9145a27677d8dcab57db98ab  OpenSceneGraph-2.8.2.zip
0903e3a29eba07856c563d1b313f6b803bee702e9145a27677d8dcab57db98ab  OpenSceneGraph-2.8.2.zip.1
[petro@Sulaco SOURCES]$

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No need to run ldconfig for mingw32 libraries.
+ The package does NOT bundle copies of system libraries.
+ The package is not designed to be relocatable.

- The package MUST own all directories that it creates. Unfortunately it doesn't own %{_mingw32_bindir}/osgPlugins-%{apivers} directory. Please, fix it.

+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No need to separate header files from main package for mingw32-related package.
0 No static libraries.
0 No need to require pkgconfig for pkgconfig(.pc) files in mingw32-related packages.
0 The package doesn't contain library files with a suffix (e.g. libfoo.so.1.1).
0 No devel sub-package for mingw32 packages, since they are intended for devel entirely.
0 The mingw32 package may contain necessary .la libtool archives. This is not a blocker.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

So, please fix the only issue found by me, and I'll continue.
Comment 8 Peter Lemenkov 2009-12-17 08:44:16 EST
Great. This package is

APPROVED
Comment 9 Stefan Riemens 2009-12-17 08:52:51 EST
That was quick!

New Package CVS Request
=======================
Package Name: mingw32-OpenSceneGraph
Short Description: Fedora mingw high performance real-time graphics toolkit
Owners: stefanriemens
Branches: F-12
InitialCC:
Comment 10 Peter Lemenkov 2009-12-29 14:25:28 EST
Stefan, you accidentally forgot to raise fedora-cvs flag here :)
Comment 11 Stefan Riemens 2009-12-29 16:28:49 EST
Whoops, thanks for the ping...
Comment 12 Kevin Fenzi 2010-01-02 15:17:07 EST
cvs done.
Comment 13 Stefan Riemens 2010-01-03 15:39:25 EST
Thanks!
Comment 14 Fedora Update System 2010-01-03 16:04:08 EST
mingw32-OpenSceneGraph-2.8.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/mingw32-OpenSceneGraph-2.8.2-2.fc12
Comment 15 Fedora Update System 2010-01-04 16:20:28 EST
mingw32-OpenSceneGraph-2.8.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update mingw32-OpenSceneGraph'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-0149
Comment 16 Fedora Update System 2010-01-22 17:37:43 EST
mingw32-OpenSceneGraph-2.8.2-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.